import Request from "./Request.js";
export default function showTicketHistory() {
  Request()
    .post("/index.php?action=getMyTicket")
    .then(function (resp) {
      let response = resp["data"];
      let h = "";
      response.result.forEach(function (item) {
        //   console.log(item);
        h += `<tr class="clickTable" value=${item.id}>
                <td>${item.Trans_ID}</td>
                <td>${item.Price}</td>
                <td>${item.arrival}</td>
                <td>${item.dept}</td>
                <td>${item.Date}</td>
                </tr>`;
      });
      let a = `
      <!-- Modal -->
      <div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="staticBackdropLabel">Modal title</h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
              <span id="orderID">訂單編號：</span><br>
              <span id="price">售價</span><br>
              <span id="TransID">車次</span><br>
              <span id="Type">座位等級(0為經濟,1為商務)</span><br>
              <span id="Dept">出發</span><br>
              <span id="Arrival">到達</span><br>

            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
              <!--button type="button" class="btn btn-primary">Understood</button-->
            </div>
          </div>
        </div>
      </div>
            <div class="container">
            <h1>您的訂票資訊</h1>
            <table class="table table-striped">
                <tr>
                    <th>列車編號</th>
                    <th>車票價格</th>
                    <th>出發站</th>
                    <th>到達站</th>
                    <th>出發日期</th>
                </tr>
                ${h}
            </table>
            </div>
            `;
      $("#content").html(a);
      var myModal = new bootstrap.Modal(
        document.getElementById("staticBackdrop"),
        {
          keyboard: false,
        }
      );
      $(".clickTable").click(function (e) {
        let id = $(this).attr("value");
        let data = {
            id: id,
        }
        Request()
          .post("/index.php?action=getMyTicketByID", Qs.stringify(data))
          .then(function (resp) {
            let response = resp["data"].result[0];
            // console.log(response);
            $("#orderID").html(`訂單編號：${response.id}`);
            $("#price").html(`售價：${response.Price}`);
            $("#TransID").html(`車次：${response.Trans_ID}`);
            $("#Type").html(`座位等級(0為經濟,1為商務)：${response.Type}`)
            $("#Dept").html(`出發：${response.DeptStation} ${response.DeptTime}`)
            $("#Arrival").html(`抵達：${response.ArrivalStation} ${response.ArrivalTime}`)
            
            myModal.toggle();
          });
        
      });
    });
}
