import Request from "../Request.js";
export default function Role() {
  function viewRole() {
    let sp = `
        <h1>管理Role</h1>
        <button id="newRole">新增Role</button>
        <table class="table table-striped" id="contenti">
            <tr>
                <th>id</th>
                <th>Role名稱</th>
                <th>操作</th>
            <tr>
        </table>
        `;
    $("#content").html(sp);
    Request()
      .post("/index.php?action=getRole", Qs.stringify())
      .then(function (resp) {
        let response = resp["data"];
        response.result.forEach(function (item) {
          let h = `
                <tr class="clickRole" id="${item.id}">
                    <td>${item.id}</td>
                    <td><input type="text" class="myForm RoleName" value="${item.name}" data-source="${item.id}"></td>
                    <td><button class="deleteRole" data-source="${item.id}">刪除</button></td>
                </tr>
                `;
          $("#contenti").append(h);
          $(".myForm").change(function (e) {
            let id = $(this).attr("data-source");
            let RoleName = $(`input[data-source="${id}"].RoleName`).val();
            Request()
              .post(
                "/index.php?action=updateRole",
                Qs.stringify({ id: id, name: RoleName })
              )
              .then(function (resp) {
                // if(resp["data"].status == 200){
                //     alert("修改成功");
                // }else{
                //     alert("修改失敗");
                // }
              });
          });
        });
        $(".deleteRole").click(function (e) {
          let id = $(this).attr("data-source");
          Request()
            .post("/index.php?action=removeRole", Qs.stringify({ id: id }))
            .then(function (resp) {
              if (resp["data"].status == 200) {
                alert("刪除成功");
                location.reload();
              } else {
                alert("刪除失敗");
              }
            });
        });
      });
    $("#newRole").click(function (e) {
      newRole();
    });
  }
  viewRole();
  function newRole() {
    let sp = `
        <h1>新增Role</h1>
        <input type="text">
        <button id="newRole">新增Role</button>
        `;
    $("#content").html(sp);
    $("#newRole").click(function (e) {
      Request()
        .post(
          "/index.php?action=newRole",
          Qs.stringify({ name: $("input[type='text']").val() })
        )
        .then(function (resp) {
          if (resp["data"].status == 200) {
            alert("新增成功");
            viewRole();
          } else {
            alert("新增失敗");
          }
        });
    });
  }
}
