import Request from "../Request.js";
export default function userRole() {
  function viewUserRole() {
    let sp = `
            <h1>管理使用者角色</h1>
            <button id="newUserRole">新增使用者角色</button>
            <table class="table table-striped table-bordered table-hover" id="userRoleTable">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>user_id</th>
                        <th>role_id</th>
                        <th>操作</th>
                    </tr>
                </thead>
            </table>                
        `;
    $("#content").html(sp);
    Request()
      .post("/index.php?action=getUserRole", Qs.stringify())
      .then(function (resp) {
        let response = resp["data"];
        response.result.forEach(function (item) {
          let h = `
                <tr class="clickUserRole" id="${item.id}">
                    <td>${item.id}</td>
                    <td><input type="text" class="myForm userID" value="${item.user_id}" data-source="${item.id}"></td>
                    <td><input type="text" class="myForm RoleID" value="${item.role_id}" data-source="${item.id}"></td>
                    <td><button class="deleteUserRole" data-source="${item.id}">刪除</button></td>
                </tr>
                `;
          $("#userRoleTable").append(h);
          $(".myForm").change(function (e) {
            let id = $(this).attr("data-source");
            let role_id = $(`input[data-source="${id}"].RoleID`).val();
            let user_id = $(`input[data-source="${id}"].userID`).val();
            Request()
              .post(
                "/index.php?action=updateUserRole",
                Qs.stringify({ id: id, role_id: role_id, user_id: user_id })
              )
              .then(function (resp) {
                // if(resp["data"].status == 200){
                //     alert("修改成功");
                // }else{
                //     alert("修改失敗");
                // }
              });
          });
          $(".deleteUserRole").click(function (e) {
            let id = $(this).attr("data-source");
            Request()
              .post(
                "/index.php?action=removeUserRole",
                Qs.stringify({ id: id })
              )
              .then(function (resp) {
                if (resp["data"].status == 200) {
                  alert("刪除成功");
                  location.reload();
                } else {
                  alert("刪除失敗");
                }
              });
          });
        });
        $("#newUserRole").click(function (e) {
          newUserRole();
        });
      });
  }
  viewUserRole();
  function newUserRole() {
    let sp = `
        <h1>新增userRole</h1>
        <input type="text" id="user_id">
        <input type="text" id="role_id">
        <button id="newuserRole">新增userRole</button>
        `;
    $("#content").html(sp);
    $("#newuserRole").click(function (e) {
      Request()
        .post(
          "/index.php?action=newUserRole",
          Qs.stringify({ user_id: $("input[type='text']#user_id").val(), role_id: $("input[type='text']#role_id").val() })
        )
        .then(function (resp) {
          if (resp["data"].status == 200) {
            alert("新增成功");
            viewUserRole();
          } else {
            alert("新增失敗");
          }
        });
    });
  }
}
