import startPage from './startPage.js';
import Request from './Request.js';
import loginPage from './login/loginPage.js';
import registerPage from './login/registerPage.js';

$(document).ready(function () {
    if(window.localStorage){
        Request().post("/index.php")
        .then(function(resp){
            const response = resp['data'];
            if(response['status'] == 200){
                //儲存到 local storage
                window.localStorage.setItem("jwtToken", response['token']);
                startPage();
            }
            else{
                loginPage();
                console.log(response);
            }
        })
        .catch(function(err){
            console.log(err);
        });
    }
});
