import Request from './../Request.js';
export default function loginPage(){
    const sp = `
        帳號(Email)：<input type="text" id="id"><br>
        密碼：<input type="password" id="password"><br>
        電話：<input type="text" id="phone"><br>
        全名：<input type="text" id="fullname"><br>
        <button id="register">註冊</button>
        <div id="content"></div>
    `;
    $("#root").html(sp);
    $("#register").click(function (e) { 
        const data={
            "Email": $("#id").val(),
            "Password": $("#password").val(),
            "Phone": $("#phone").val(),
            "FullName": $("#fullname").val()
        };
        Request().post('/index.php?action=newMember', Qs.stringify(data))
        .then(function(resp){
            let response = resp['data'];
            console.log(response);
            if(window.localStorage){ //儲存到 local storage
                window.localStorage.setItem("jwtToken", response['token']);
            }
            window.location.reload(); //重新載入網頁
        })
        .catch(function(err){
            console.log(err);
        });
    });
}
