import Request from "../Request.js";
export default function Action() {
  function viewAction() {
    let sp = `
        <h1>管理Action</h1>
        <button id="newAction">新增Action</button>
        <table class="table table-striped" id="contenti">
            <tr>
                <th>id</th>
                <th>Action名稱</th>
                <th>操作</th>
            <tr>
        </table>
        `;
    $("#content").html(sp);
    Request()
      .post("/index.php?action=getAction", Qs.stringify())
      .then(function (resp) {
        let response = resp["data"];
        response.result.forEach(function (item) {
          let h = `
                <tr class="clickAction" id="${item.id}">
                    <td>${item.id}</td>
                    <td><input type="text" class="myForm ActionName" value="${item.name}" data-source="${item.id}"></td>
                    <td><button class="deleteAction" data-source="${item.id}">刪除</button></td>
                </tr>
                `;
          $("#contenti").append(h);
          $(".myForm").change(function (e) {
            let id = $(this).attr("data-source");
            let ActionName = $(`input[data-source="${id}"].ActionName`).val();
            Request()
              .post(
                "/index.php?action=updateAction",
                Qs.stringify({ id: id, action: ActionName })
              )
              .then(function (resp) {
                // if(resp["data"].status == 200){
                //     alert("修改成功");
                // }else{
                //     alert("修改失敗");
                // }
              });
          });
        });
        $(".deleteAction").click(function (e) {
          let id = $(this).attr("data-source");
          Request()
            .post("/index.php?action=removeAction", Qs.stringify({ id: id }))
            .then(function (resp) {
              if (resp["data"].status == 200) {
                alert("刪除成功");
                location.reload();
              } else {
                alert("刪除失敗");
              }
            });
        });
      });
    $("#newAction").click(function (e) {
      newAction();
    });
  }
  viewAction();
  function newAction() {
    let sp = `
        <h1>新增Action</h1>
        <input type="text">
        <button id="newAction">新增Action</button>
        `;
    $("#content").html(sp);
    $("#newAction").click(function (e) {
      Request()
        .post(
          "/index.php?action=newAction",
          Qs.stringify({ action: $("input[type='text']").val() })
        )
        .then(function (resp) {
          if (resp["data"].status == 200) {
            alert("新增成功");
            viewAction();
          } else {
            alert("新增失敗");
          }
        });
    });
  }
}
