import Request from "../Request.js";
export default function adminTicket() {
  function allTicket() {
    Request()
      .post("/index.php?action=getTicket", Qs.stringify())
      .then(function (resp) {
        const sp = `
              <h1>您的訂票資訊</h1>
              <table class="table table-striped" id="contenti">
                  <tr>
                      <th>id</th>
                      <th>車票價格</th>
                      <th>車次</th>
                      <th>座位等級(0普通,1商務)</th>
                      <th>到達站</th>
                      <th>出發站</th>
                      <th>出發日期</th>
                      <th>訂位日期</th>
                      <th>擁有者ID</th>
                  </tr>
              </table>
            `;
        $("#content").html(sp);
        let response = resp["data"];
        response.result.forEach(function (item) {
          // console.log(item);
          let h = `
              <tr class="clickTicket" id="${item.id}" >
                  <td>${item.id}</td>
                  <td>${item.Price}</td>
                  <td>${item.Trans_ID}</td>
                  <td>${item.Type}</td>
                  <td>${item.arrival}</td>
                  <td>${item.dept}</td>
                  <td>${item.Date}</td>
                  <td>${item.Order_Time}</td>
                  <td>${item.Owner}</td>
              </tr>
            `;
          $("#contenti").append(h);
        });
        $(".clickTicket").click(function (e) {
          let sure = confirm("確定要刪除該車票嗎?");
          if (sure) {
            Request()
              .post(
                "/index.php?action=removeTicket",
                Qs.stringify({ id: $(this).attr("id") })
              )
              .then(function (resp) {
                if (resp["data"].status == 200) {
                  alert("刪除成功");
                  allTicket();
                } else {
                  alert("刪除失敗");
                }
              });
          }
        });
      });
    // $("#root").html(sp);
  }
  allTicket();
}
