//import需要的js檔
import Request from './Request.js';
import loginPage from './login/loginPage.js';
import orderTicket from './orderTicket.js';
import showTicketHistory from './Ticket.js';
import adminIndex from './admin/adminIndex.js';
import staffIndex from './staff/staffIndex.js';
import {viewMember} from './Member.js';
export default function startPage(){
    const sp = `
        <button id="orderTicket">訂購車票</button>
        <button id="information">個人資料維護</button>
        <button id="tickethistory">查詢車票</button>
        <button id="staff">站務員</button>
        <button id="supervisor">主管</button>
        <div id="content"></div>
    `;
    $("#root").html(sp);
    $("#orderTicket").click(function (e) { 
        orderTicket();
    });
    $("#information").click(function (e) { 
        viewMember();
    });
    $("#tickethistory").click(function (e) { 
        showTicketHistory();
    });
    $("#supervisor").click(function(e){
        adminIndex();
    })
    $("#staff").click(function(e){
        staffIndex();
    })
}

